/* скругляем Фон таблицы товаров _______________________ */
.t431__table.t431__table {
    border-collapse: separate !important;
    border-spacing: 0 4px !important;
}

/* Убираем ВСЕ границы у ячеек */
.t431__table td,
.t431__table th {
    border: none !important;
    padding: 10px 10px !important;
    
}

/* Теперь скругления будут видны полностью */
.t431__table tbody tr td:first-child {
    border-top-left-radius: 5px !important;
    border-bottom-left-radius: 5px !important;
}

.t431__table tbody tr td:last-child {
    border-top-right-radius: 8px !important;
    border-bottom-right-radius: 8px !important;
}



/* Для ВСЕХ таблиц на сайте увеличиваем отступ у крайнего левого столбика и крайнего правого столбика*/

table td:first-child,
table th:first-child {
  padding-left: 20px !important;
}

table td:last-child,
table th:last-child {
  padding-right: 20px !important;
}




/* Растягиваем карту на всю ширину */
.t117 .t-width.t-width_12 {
    width: 100% !important;
    max-width: 100% !important;
    margin-left: 0 !important;
    margin-right: 0 !important;
    padding-left: 0 !important;
    padding-right: 0 !important;
}

/* Убираем ограничения у родительских контейнеров */
.t117 {
    max-width: 100% !important;
    width: 100% !important;
}

/* Делаем саму карту на 100% */
.t117_map,
.t117_map .t-map {
    width: 100% !important;
}
/* нижнее подчеркивание делаем белым___________________________________________________________________________________________________________________ */

/* Убираем все стандартные подчеркивания */
.t-menusub__link-item,
.t830m__submenu a {
    text-decoration: none !important;
    position: relative !important;
}

/* Убираем черное подчеркивание от класса .active */
a[href^="#"].active::after,
.t-menusub__link-item.t-active::after {
    display: none !important;
}





/* опускаем подвал___________________________________________________________________________________________________________________ */
/* Фиксируем структуру страницы */
html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

#allrecords {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

/* Контейнер для контента выше футера */
#allrecords > div:not(#t-footer) {
    flex: 1 0 auto;
}

/* Футер всегда внизу */
#t-footer {
    flex-shrink: 0;
    margin-top: auto;
}

/* Для блоков, которыми управляет JS */
[class*="uc-"] {
    transition: opacity 0.3s ease;
    will-change: opacity, height;
    overflow: hidden;
}
